Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155062 - USB Printer not recognised after kernel updated to 2.6.11
Summary: USB Printer not recognised after kernel updated to 2.6.11
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: hwdata
Version: 3
Hardware: athlon
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-15 21:39 UTC by Norman Smith
Modified: 2014-03-17 02:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-18 15:43:06 UTC


Attachments (Terms of Use)
Information from Kernel Start Up Logs and such... (deleted)
2005-04-15 21:41 UTC, Norman Smith
no flags Details

Description Norman Smith 2005-04-15 21:39:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
After updating kernel to version 2.6.11-1.14_FC3 my Samsung ML-1740 Laser Printer connected to a usb port was no longer recognized at bootup.

/sbin/lsusb
Bus 004 Device 001: ID 0000:0000
Bus 003 Device 001: ID 0000:0000
Bus 002 Device 001: ID 0000:0000
Bus 001 Device 001: ID 0000:0000

Booting on the previous kernel 2.6.10-1.770-FC3 works properly.

/sbin/lsusb

Bus 004 Device 001: ID 0000:0000
Bus 003 Device 001: ID 0000:0000
Bus 002 Device 002: ID 04e8:324c Samsung Electronics Co., Ltd
Bus 002 Device 001: ID 0000:0000
Bus 001 Device 001: ID 0000:0000




Version-Release number of selected component (if applicable):
kernel-2.6.11-1.14_FC3

How reproducible:
Always

Steps to Reproduce:
1. Boot Up on 2.6.11-1.14_FC3

  

Actual Results:  Informed me that Samsung ML-1740 Printer was not found and asked me what I wanted
to do with the configuration.

Expected Results:  It should have found the printer and booted with no complaints as was the case
when booting 2.6.10-1.770_FC3

Additional info:

See attached.

Comment 1 Norman Smith 2005-04-15 21:41:57 UTC
Created attachment 113258 [details]
Information from Kernel Start Up Logs and such...

Comment 2 Norman Smith 2005-04-16 20:59:51 UTC
I poked around a bit and found that adding the printer to
/usr/share/hwdata/usb.ids causes kudzu to detect the printer with the new
kernel. I removed the printer configuration and booted without the printer entry
in usb.ids and confirmed that the new kernel does not detect the printer.  I
added back the printer to usb.ids and the printer is detected when booted on the
new kernel.

[bogwan@atlas ~]$ diff -u /tmp/usb.ids /usr/share/hwdata/usb.ids
--- /tmp/usb.ids        2005-04-16 16:34:15.000000000 -0400
+++ /usr/share/hwdata/usb.ids   2005-04-16 15:29:09.000000000 -0400
@@ -834,6 +834,7 @@
 04e8  Samsung Electronics Co., Ltd
        1003  MP3 Player and Recorder
        300c  ML-1210 Printer
+       324c  ML-1470 Printer
        5a03  Yepp MP3 Player
        6601  Z100 Mobile Phone
 04e9  PC-Tel, Inc.

It "appears" something changed about the kernel.


Comment 3 Norman Smith 2005-04-16 21:17:57 UTC
I made a typo error during testing.
 
+       324c  ML-1470 Printer
should be
+       324c  ML-1740 Printer

Sorry about that.

Comment 4 Bill Nottingham 2005-04-18 15:43:06 UTC
Please report them upstream:

usb.ids says:

#       Maintained by Vojtech Pavlik <vojtech@suse.cz>
#       If you have any new entries, send them to the maintainer.
#       The latest version can be obtained from
#               http://www.linux-usb.org/usb.ids



Note You need to log in before you can comment on or make changes to this bug.